main {
  margin: 50px auto;
  padding: 50px;
  max-width: 1000px;
}

.container {
  width: 100%;
  overflow: hidden;
}

#slide {
  display: flex;
  width: 100%;
  height: 400px;
  transition: 0.5s ease-in-out;
}

.item {
  width: 300px;
  margin: 10px;
  padding: 20px;
  border-radius: 10px;
  box-shadow: 0 5px 10px #ddd;
  background-color: #fff;
  text-align: center;
  position: relative;
  overflow: hidden;
}
.dark-mode .item{
  background-color: #1e1e1e;
  box-shadow: 0 30px 50px #444444;
}
.item:hover {
  box-shadow: 0 10px 20px #131313;
}

.item img {
  width: 100%;
  height: 150px;
  object-fit: cover;
  margin-bottom: 10px;
}

.item h2 {
  font-size: 20px;
  font-weight: bold;
  margin-bottom: 10px;
}

.item ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

.item ul li {
  padding: 5px;
  font-size: 16px;
}
.dark-mode ul li{
  color: white;

}
.buttons {
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
  display: flex;
  justify-content: space-between;
  width: 100px;
}

.buttons button {
  padding: 10px;
  border: none;
  background-color: #000;
  color: #fff;
  font-size: 16px;
  font-weight: bold;
  border-radius: 5px;
  cursor: pointer;
  transition: 0.5s;
}

.buttons button:hover {
  background-color: #333;
}

.fa-solid {
  font-size: 20px;
}

/* Animations */

.item.active {
  margin-left: 0;
}

#slide.animate {
  transition: none;
}
/* Media queries pour rendre le site responsive */

@media screen and (max-width: 768px) {
  main {
    padding: 20px;
  }

  #slide {
    height: auto;
    flex-direction: column;
  }

  .item {
    width: 100%;
  }

  .buttons {
    left: 0;
    right: 0;
    transform: none;
    margin-top: 10px;
  }

  .buttons button {
    opacity: 0;
  }
}